# redis-service.yaml
apiVersion: v1
kind: Service
metadata:
  name: redis
  labels:
    name: redis-service
    app: demo-voting-app
spec:
  # type: ClusterIP 지정하지 않으면 클러스터ip가 기본값이 된다
  ports:
    - port: 6379
      targetPort: 6379
      # 내부 서비스가 될 예정이라 nodePort는 필요없다
  selector:
    # redis-pod.yaml의 labels 부분을 가져온다
    name: redis-pod
    app: demo-voting-app